WindowBlinds - End User License Agreement

Important: Read this before using your copy of Stardock.net's WindowBlinds.

End User License Agreement

This user license agreement (the AGREEMENT) is an agreement between you
(individual or single entity) and Stardock.net, Inc. for the WindowBlinds
program (the SOFTWARE) that is accompanying this AGREEMENT.

The SOFTWARE is the property of Stardock.net, Inc. and is protected by copyright
laws and international copyright treaties. The SOFTWARE is not sold, it is
licensed.

LICENSED VERSION
The LICENSED VERSION means a Registered Version (using your personal
serial number) or an original fully working version of the SOFTWARE.
If you accept the terms and conditions of this AGREEMENT, you have
certain rights and obligations as follow:

YOU MAY:
1. Install and use one copy of the SOFTWARE on a single computer.
2. Install a second copy of the SOFTWARE on a second computer only if you are
the main user of this computer (home computer or laptop for example).
3. Install the SOFTWARE on another computer only if you change of main
workstation. In such a case you must uninstall the software from the old
computer.
4. Use the SOFTWARE via a network, only if you have purchased an adequate number
of licenses. The number of users must not exceed the number of licenses you have
purchased.
5. Make a copy of the SOFTWARE for archival purposes only.

YOU MAY NOT:
1. Copy and distribute the SOFTWARE or any portion of it except as expressly
provided in this Agreement.
2. Sublicense, rent, lease or transfer your personal registering number.
3. Sublicense, rent or lease the SOFTWARE or any portion of it.
4. Decompile, disassemble, reverse engineer or modify the SOFTWARE or any
portion of it, or make any attempt to bypass, unlock, or disable any protective
or initialization system on the SOFTWARE.
5. Copy the documentation accompanying the SOFTWARE.
6. Upload or transmit the SOFTWARE, or any portion thereof, to any electronic
bulletin board, network, or other type of multi-use computer system regardless
of purpose.
7. Include the SOFTWARE in any commercial products intended for manufacture,
distribution, or sale.

WARRANTY DISCLAIMER
The SOFTWARE is supplied "AS IS". Stardock disclaims all warranties, expressed
or implied, including, without limitation, the warranties of merchantability and
of fitness for any purpose. The user must assume the entire risk of using this
SOFTWARE.

DISCLAIMER OF DAMAGES
Stardock.Net, Inc. assumes no liability for damages, direct or consequential,
which may result from the use of this SOFTWARE, even if Stardock.Net, Inc. have
been advised of the possibility of such damages. Any liability of the seller
will be limited to refund the purchase price.

TERM
This license is effective from your date of purchase and shall remain in force
until terminated. You may terminate the license and this agreement at any time
by destroying the SOFTWARE and its documentation, together with all copies in
any form.

COPYRIGHT NOTICE:
The Company and/or our Licensors hold valid copyright in the Software. Nothing
in this Agreement constitutes a waiver of any rights under U.S. Copyright law or
any other federal or state law.

ACKNOWLEDGMENT:
YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT AND AGREE TO BE
BOUND BY ITS TERMS AND CONDITIONS. YOU ALSO AGREE THAT THIS AGREEMENT IS THE
COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN YOU AND THE COMPANY
AND SUPERCEDES ALL PROPOSALS OR PRIOR ENDORSEMENTS, ORAL OR WRITTEN, AND ANY
OTHER COMMUNICATIONS BETWEEN YOU AND THE COMPANY OR ANY REPRESENTATIVE OF THE
COMPANY RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.

Developed and Published by:
Stardock.net, Inc.
17292 Farmington Road
Livonia, MI 48152 USA
http://www.stardock.net

Stardock is a registered trademark of Stardock Systems, Inc.
Stardock.net and WindowBlinds are trademarks of Stardock.net, Inc.

(c) Copyright Stardock.net, Inc. 1998-2000.

All trademarked names mentioned in this document and SOFTWARE are used for
editorial purposes only, with no intention of infringing upon the trademarks.

No part of this publication may be reproduced without written permission from
Stardock.net, Inc. All rights reserved.


WindowBlinds - Welcome!

Welcome to [image] !

A component of ObjectDesktop.net

You've probably thought to yourself over the years "If only Windows wasn't so ugly...", "I miss how my [insert your favorite platform here] looked", or "Wouldn't it be cool if...". Well, you weren't the only one thinking that.

Be sure to visit http://www.windowblinds.net and http://www.skinz.org to download any of the over 1000 freely available WindowBlinds skins!.

In addition to the standalone version you've just installed, WindowBlinds is available as part of Stardock's ObjectDesktop.net. ObjectDesktop.net is the world's premiere desktop enhancement software service! Visit the website for additional information on the dozen+ components of Object Desktop in addition to evaluation versions of BuilderBlinds, ControlCenter, IconPackager, WindowFX, and more!

As we continue to enhance WindowBlinds and ObjectDesktop.net, we look forward to hearing from you about what they can do to help you work more effectively. There is a wealth of information in this help file as well as information on how to contact Stardock as well as other WindowBlinds users.

Enjoy!


WindowBlinds - Throwing Stones

WindowBlinds Web Site (new skins!) WindowBlinds Discussion Forum Learn about ObjectDesktop.net !

Throwing Stones...

With multiple versions of 32-bit Windows, hundreds of different pieces of hardware, thousands of varying driver revisions, tens of thousands of assorted applications, and over 100 million Windows desktops in existence, one does not need the odds-makers in Las Vegas to know that there is the potential for an application or system to conflict -- let alone when you add WindowBlinds into the mix.

WindowBlinds, by its nature, has to operate under the assumption that a normal application makes its calls to the underlying Windows OS. Windows then handles drawing the windows and the controls. But, some applications bypass Windows and handle their own drawing routines. If you have an application that has visual problems or other issues when WindowBlinds is applying a skin to it, that application should be excluded or used with a UIS1+ (Basic) skin (see the Per Application Settings section of this help file).

We believe that WindowBlinds can be made to work on all systems, but you have to play a role in that process by taking the time to exclude anything rocking the boat on your system.

After months of testing, we have included many applications which, by handling their routines in a non-standard manner, have issues when WindowBlinds attempts to work with them. But, we cannot account for every application or every system configuration. It is not a matter of WindowBlinds being "buggy" or untested. E-mailing us saying "it doesn't work" will not arbitrarily improve things.

WindowBlinds is not perfect, but we have made it flexible enough that you can generally determine what may be conflicting and exclude that application or use a UIS1+ (Basic) skin with it (see the Troubleshooting section for some basic steps to take).

Check the Support section of this help file for links to our news group to talk with other users if you are having problems with WindowBlinds.


WindowBlinds - Skins

Skins

[screenshot]

WindowBlinds skins are selected from the Skins section of the WindowBlinds Configuration. This screen also provides options to add skins to the system (whether downloaded as .WBA/.ZIP files or directly from the Stardock skin libraries on the Internet), delete skins, sort the default views of the skin listings, chose a compound skin (if the selected skin includes compound skin elements), and colorizing of skins which include support for color masks.

Skin selection

Selected skin

To change a skin, simply select it from the listbox and either double-click on it or click Apply Changes. This will load the skin and immediately apply it to all open windows on the system (as well as new ones). You can also select the Disabled skin to leave WindowBlinds running without it attempting to change the look of anything.

Tip: Apply one skin and select another entry from the list. All previously opened windows will be skinned with the first skin applied while new windows will take on the look of the second skin.

The listing of skins installed is refreshed when you install/delete a skin or when you change the sorting with the following option.

Sort by

Use the dropdown listbox to select alternative sorting options for listing the available skins. The list may be sorted by skin name, skin author, and the date the skin was installed.

Install skin from disk...

After downloading a WindowBlinds skin from the Internet (it will be contained in a .WBA or .ZIP file), press this button to bring up a File Open dialog. Select the downloaded .WBA or .ZIP file in question and press Open to install the skin.

Tip: WindowBlinds skins downloaded from the Internet that have a .WBA file extension can be installed by double-clicking on them with the left mouse button in Explorer. Note that systems using ZipMagic will need to rename .ZIP skin downloads to .WBA and double-click on them to install (ZipMagic treats the .ZIP's as folders and prevents WindowBlinds from installing them correctly).

Skins will be installed to a subdirectory off the WindowBlinds directory. The name of the subdirectory must match the name of the .UIS file included in the .WBA/.ZIP skin package for the skin to show up in the list.

Tip: There are over 900 WindowBlinds skins available from the skin libraries at www.skinz.org and www.windowblinds.net! New skins are being uploaded all the time. Be sure to check out BuilderBlinds (available standalone and as part of ObjectDesktop.net) to aid you in creating your own skins!

Install skin from the web...

[screenshot]

WindowBlinds includes two additional Internet-based skin options -- Skin of the Week and Most Popular Skin (these require Internet Integration to have been enabled after installation, via the Configure internet options button in the System section, or by selecting Internet Integration by right clicking on the WindowBlinds icon in the system tray).

Selecting one of these skins will connect to the Stardock skin library and allow you to download the featured "Skin of the Week" and "Most Popular Skin" (based on what users all over the world who have enabled Internet Integration are running).

The third button will open your default web browser and connect to www.windowblinds.net to let you browse the complete skin library.

Find skin

This button will bring up a dialog to help you search for a specific installed skin. Enter the first few letters of the skin name and press Enter to search.

Delete this skin

Remove the currently selected skin and its associated files.

Compound/color-enhanced skins

Compound skin dropdown

[screenshot]

WindowBlinds 2 and later support "compound skins" which may include several different variations or looks packaged together as one skin. If supported by the skin, use the dropdown selection to chose the flavor you would like.

Display the skin in simple mode without extra buttons (if supported)

Skins may include "simple" versions without many additional buttons. If the skin contains a simple version, enable this checkbox to use it.

Custom skin colour *

[screenshot]

Skins designed for WindowBlinds 2 may include support for changing the color of the skin. Enable the support via the checkbox on the dialog shown above and select a blending percentage with the slider. Use the Change colour... button to bring up a color selection window to chose the color you would like to use.

You can enable the Force the skin to have the colour checkbox to attempt to apply the color features even to skins which have not specifically included support for it. Be aware that it may look funny trying to force this feature on skins that have not been designed with that in mind).

* This option is disabled in the public shareware version. Ordering WindowBlinds or a subscription to ObjectDesktop.net will provide access to an enhanced version of WindowBlinds for registered users with this feature enabled.

About skin...

Display additional comments that the author may have included for users in the skin's .UIS file.

Preview skin...

Display a basic preview of how the skin will look when applied to windows on the system. Currently, the preview only shows the main style of the window and its borders, it does not currently support previewing buttons or the many other controls WindowBlinds supports. Note that WindowBlinds Basic (UIS1+) skins cannot be previewed.

WindowBlinds Configuration Window Controls

?

Brings up this WindowBlinds help file.

Unload WindowBlinds

Unload WindowBlinds from memory.

Tip: WindowBlinds can be unloaded by right clicking on the WindowBlinds icon in the system tray and selecting Unload WindowBlinds. You can also run the WBDOWN.EXE file in the WindowBlinds directory to send a message to WindowBlinds to unload.

Tip: When WindowBlinds is not loaded, it is not changing or modifying anything on your system.

OK

Accept any changes that might have been made but do not apply them to currently running apps. The changes will take effect (where applicable) when future applications are opened.

Cancel

Ignore changes made and close the Configuration window.

Apply Now
Load the selected skin and apply its attributes and any settings configured elsewhere in WindowBlinds immediately.


WindowBlinds - Settings

Settings

[screenshot]

The Settings section of the WindowBlinds Configuration can be used to selectively enable/disable features. These changes take effect immediately upon pressing the Apply Changes button with the currently selected skin.

Skin buttons

Standard window buttons (Ok, Cancel, etc.)

Change the look of standard windows buttons (like the OK/Cancel buttons).

Tip: Sometimes buttons are drawn on windows by using other than the standard system buttons. If an application uses a proprietary button control, WindowBlinds may not be able to skin it.

Checkboxes and radio buttons

Apply the images assigned by the skin to checkboxes and radio buttons.

T askbar buttons

Change the buttons in the taskbar.

Toolbar buttons

Use the graphics included with the skin to change the look of toolbar buttons (the little icons for things like Copy/Paste/Print in many apps).

Tip: Enable this option to skin the QuickLaunch toolbar (included with the Desktop Update feature of Internet Explorer 4.0 and later). Note that WindowBlinds only skins the first QuickLaunch toolbar defined on the system.

Skin Controls

Menu borders

Enable this option to allow WindowBlinds to skin the edges of menus.

Progress bar controls *

Use WindowBlinds skins for regular system progress bars. Note that some applications create their own progress bars and will not be skinned by WindowBlinds.

Tab controls *

Skin notebook-like tab controls.

Scrollbars *

Enable scrollbar skinning for apps which use standard scrollbars.

Tip: Some applications (notably Microsoft's Internet Explorer) have implemented proprietary controls that look and function like scrollbars, but are not true Windows scrollbars. At this time, WindowBlinds cannot skin these proprietary controls.

* These options are disabled in the public shareware version. Ordering WindowBlinds or a subscription to ObjectDesktop.net will provide access to an enhanced version of WindowBlinds for registered users with these features enabled.

Skin window backgrounds

Dialog backgrounds (see Backgrounds to override)

WindowBlinds will apply the skin defined bitmap to controls using the dialog window class and the backgrounds of MDI (Multiple Document Interface) applications (apps which allow you to have multiple open windows inside one larger window which "contains" the little ones).

If you find the text in dialogs is corrupted, see the Video section of the Support portion of this help file for more information.

Explorer backgrounds (see Backgrounds to override)

WindowBlinds includes support for applying a background image to all your Explorer folders in both Classic and Web View modes of operation.

Tip: WindowBlinds does not support skinning the left panel of folders in Web View mode. The hidden FOLDERS.HTT file in the Program Files directory on your system contains a definition for changing the background image of the left panel.

Stretch Explorer background image

Rather than tiling an image smaller than the size of the open Explorer folder, select this option to have WindowBlinds stretch the defined image to fill the entire window. Note: this option must be disabled (unchecked) for semi-transparent Explorer folders to work (see below).

Enhance Desktop Elements

Make 3D toolbars flat style (if not skinned)

Change application toolbars to the "flat" look popularized by Internet Explorer and Microsoft Office 97.

Make desktop icon text backgrounds transparent

The area behind an icon's text on the desktop is normally set to the same color as the Desktop background color definition in the current Windows scheme settings. This option removes the color from behind the text and makes the background transparent so the desktop is not obscured.

This option does not function correctly when Web View (Active Desktop) is enabled for the desktop.

Apply the skins colour scheme (recommended)

Change the Windows colours to match those in the skin definition.

Apply any wallpaper supplied

If the skin author has included a bitmap for use as desktop wallpaper, select this option to allow it to be applied.

Apply any icon packages supplied (IP required)

Skin authors sometimes include IconPackager icon packages to customize over 50 icons on the desktop for a more complete visual change. You must have IconPackager (available either standalone or for ObjectDesktop.net subscribers) installed for this feature to work.

Advanced Settings

[screenshot]

Use a custom colour for Explorer text

This option brings up a color selection dialog that allows you to pick the color used for icon text display in Explorer windows. Altering the color allows you to pick a shade that contrasts well for visibility against the selected background bitmap.

Show inactive state for Explorer backgrounds

Use a different image for the background of Explorer folders when they are not the active (highlighted) window. Selecting this option adds another visual element to WindowBlinds, but is marginally slower as an additional bitmap must be used.

Make Explorer backgrounds "semi-transparent"

You've seen the screenshots, you've drooled on your keyboard, and now you too can have semi-transparent Explorer folders. Semi-transparent? That's right, Explorer folders are only transparent down to the desktop background bitmap (other windows in the z-order beneath transparent Explorer folders will not be visible). Note: Stretch Explorer background image (see above) must be disabled for this feature to work.

Tip: WindowFX (available standalone or as part of an ObjectDesktop.net subscription) supports full alpha-blended transparency for windows on Window 2000.

Remember, your computer and video card are going to be pushing around a lot of pixels if you enable this support, so it will be a bit slower in moving windows. You may want to disable full-window drag (via the Plus!/Effects settings tab in Display Properties) to speed your system up.

Simply enable the Transparency option on the Background Bitmaps tab in the WindowBlinds configuration window and press Apply Changes. The left panel of the IE4/IE5 folder Web View cannot be changed.

If you are having problems, try updating your video drivers to the latest available from your manufacturer. Some laptop chipsets in particular seem to be really unhappy with this feature. See the Tips and Tricks section of this document for some additional information on this transparency support and ways to manipulate its look.

Double click Action:

Use this dropdown to override the default skin behavior for what happens when you double click on the titlebar of a window. This is normally defined by the skin author, but you can override it and select an action you would prefer: close window, minimize window, maximize window, rollup, set always on top, or show system menu.

Right click Action:

Use this dropdown to override the default skin behavior for what happens when you right click on the titlebar of a window. This is normally defined by the skin author, but you can override it and select an action you would prefer: close window, minimize window, maximize window, rollup, set always on top, or show system menu.

Apply the global colouring options to per application skins

Select this option to enable the colorizing features (*not available in the shareware version) to be used with applications that have a per app skin defined.


WindowBlinds - Backgrounds

Backgrounds

[screenshot]

The Backgrounds section of WindowBlinds Configuration can be used to override some of the bitmaps defined by a particular skin.

Override the skin setting for background bitmaps

Double click the images to bring up a file dialog (with preview) that will allow you to select the bitmap (.BMP) image you wish to use for the appropriate controls.


WindowBlinds - Per Application

Per Application

[screenshot]

WindowBlinds allows you to selectively configure specific skins (or no skins at all) on a per application basis. For instance, you might always want your mail program to have a specific skin while the rest of the system uses another one. Or you may wish to exclude an application from being skinned by WindowBlinds.

Despite hundreds of hours of compatibility work and testing, some applications that use non-standard Windows interfaces (or that skin themselves) may exhibit some visual issues when using WindowBlinds. Stardock has included these apps as default exclusions (marked by the red X's in the screenshot above). You may try removing them on your system if you like. Try assigning a UIS1+ skin as a per app skin for these apps as well!

Per Application Settings

Select Display

Use the dropdown control to adjust if per application settings or exclusions are displayed first in the list.

Tip: Stardock defined exclusions (from WBDBG.INI in the WindowBlinds directory) are marked with the X graphic in the screenshot above. User per application settings (including those for disabled skins) are marked with the windows icon. User per application settings are stored in WBPERAPP.INI in the WindowBlinds directory.

Add per application setting

Press this button to bring up a file open dialog. Select the .EXE file for the application you want to customize. A window will then appear with options to customize the settings for the .EXE you have selected.

Tip: WindowBlinds must be restarted for per application setting changes to take effect.

Tip: You do not have to navigate to the directory containing the .EXE you want to include if you know the name of the .EXE. Simply type the name and press the Enter key (or the Open button).

[screenshot]

Select skin...

By default, WindowBlinds uses the current system skin. Press the Select skin... button to chose from the currently installed system skin as well as the Disabled skin.

Total exclusion

Ignore this application and do not skin it

Completely exclude this application from being skinned by WindowBlinds.

Tip: You can exclude applications when you launch them by holding down the Ctrl key. This will only cause WindowBlinds to ignore skinning that application for that particular instance of the app. You should add an exclusion or a per app skin if you will be using it frequently.

Non exclusion options

Skin this app even if it uses Direct3D (3D app for example)

By default, WindowBlinds does not attempt to skin any applications (typcially games or apps which include their own skins support) using Direct3D. Enable this option to permit the .EXE you've selected to ignore that restriction and allow WindowBlinds to skin the app.

Use an alternative method for handling mouse clicks on titlebars

In rare cases, applications will ignore mouse clicks on titlebars WindowBlinds has skinned. Select this option for an alternative.

Feature disabling

Disable background bitmaps for this app

Disable background bitmap skinning support for this application.

Disable flat toolbars for this app

Do not attempt to change the look of toolbars to the "flat" style.

Disable scrollbars for this app

Prevent WindowBlinds from trying to skin the scrollbars for this application.

Advanced Features

This exclusion is not inherited by any apps launched from this app

Typically, this option will only be selected when the per application .EXE you have selected is used as a "launcher" for other programs. Normally, any apps launched from the launcher app would be subject to the same per application settings as the launching program.

Modify per application setting

Brings up the configuration window for selecting per application settings.

Tip: You cannot modify the Stardock-defined exclusions apart from removing them. To try using those apps, delete their exclusion from the list and add a new per application setting configured as you like. Use UIS1+ skins for the best compatibility with apps using non-standard drawing methods.

Delete application setting

Remove the currently selected per application setting (changes will take effect the next time you start WindowBlinds).


WindowBlinds - Backgrounds

System

[screenshot]

The System section of WindowBlinds Configuration contains options relating to the general operation of WindowBlinds (as opposed to the configuration of specific skins).

Web links

The buttons at the top of this screen will open your default web browser and connect to the sites indicated.

www.windowblinds.net

The main WindowBlinds web site contains a wealth of free goodies for all WindowBlinds users! With over 900 skins to chose from, links to the latest enhanced versions for registered users, and links to discussion groups, you're sure to find something new and cool each time you visit!

Tip: The website also contains links to BuilderBlinds (available standalone or as part of an ObjectDesktop.net subscription), Stardock's integrated skin design application. While there, be sure to check out WindowBlinds: DirectSkin (an OCX control for adding support for skinning to applications you may be developing in minutes!).

www.stardock.com

Stardock's primary webpage includes the latest news, links to the Stardock Magazine mailing list, and information about all of Stardock's ObjectDesktop.net and Drengin.net offerings.

www.objectdesktop.net

The home of Stardock's ObjectDesktop.net software service! As one of the leading horizontal ASP (Application Service Providers), ObjectDesktop.net offers 12 months of the latest and greatest desktop enhancements on the planet for one low fee (and you keep the software at the end of your subscription). An ObjectDesktop.net subscription ensure you always have access to the latest enhanced (and beta, if you like to play with new software) builds for Association Wizard, BuilderBlinds, DesktopX, ControlCenter, DriveScan, IconPackager, ObjectBar, Object Edit, ObjectZip, Tab LaunchPad, WindowBlinds, WindowFX, and much much more!

Startup options

Show this configuration dialog when WindowBlinds starts

Display the WindowBlinds Configuration window (this window) each time WindowBlinds loads.

Place the WindowBlinds icon in the system tray (needs a restart)

Add a WindowBlinds icon to the system tray (next to the clock) for quick access to WindowBlinds while it is running. Double clicking on the icon will bring up this configuration window (as will attempting to load WindowBlinds a second time by double clicking on its shortcut). Click the right mouse button on the icon to display shortcuts to additional WindowBlinds functions. These options are:

Configure WindowBlinds

Display the WindowBlinds Configuration window.

Configure Internet Integration

Adjust WindowBlinds' Internet features for use over a dialup or LAN connection. See below for more details.

About WindowBlinds

Displays a dialog with the build information for the installed version of WindowBlinds.

Reload current skin

Reload and reapply the currently selected skin.

Edit current skin

Load the current skin's .UIS file into BuilderBlinds (requires BuilderBlinds to be installed) to allow you to edit and modify the skin.

Automatically run WindowBlinds at startup

Add an entry to HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run in the registry to load WindowBlinds automatically each time the current user reboots or logs onto the machine.

Tip: If your system seems sluggish while loading or has conflicts while starting, a quick thing to check is if removing this option helps. WindowBlinds can get confused when it tries to load at the same time as other applications that are also trying to run on startup. Simply start WindowBlinds from a shortcut after the system has come up and it should be happier.

General options

Display a warning prompt when unloading WindowBlinds

Prompt the user to confirm that they want to unload WindowBlinds.

Display a warning prompt if a skin wants to apply new wallpaper, icons, etc.

Prompt the user to confirm that they want to apply any new wallpaper, icons, or the like that may have been included with a particular skin.

Fade non-selected skins in the skin lists

Display non-selected skins with a faded look on the Skins page of WindowBlinds Configuration.

Internet Integration

News

If Internet Integration is enabled, WindowBlinds will periodically connect to the WindowBlinds.net servers and check to see if there are any news items for WindowBlinds users.

Configure internet options

Selecting this option brings up the Internet Integration window. Select if you are on a dialup line, LAN connection, or if you wish to disable the Internet features in WindowBlinds.

Read the release notes

View the release notes for the currently installed version of WindowBlinds.

WindowBlinds Configuration Window Controls

?

Brings up this WindowBlinds help file.

Unload WindowBlinds

Unload WindowBlinds from memory.

Tip: WindowBlinds can be unloaded by right clicking on the WindowBlinds icon in the system tray and selecting Unload WindowBlinds. You can also run the WBDOWN.EXE file in the WindowBlinds directory to send a message to WindowBlinds to unload.

Tip: When WindowBlinds is not loaded, it is not changing or modifying anything on your system.

OK

Accept any changes that might have been made but do not apply them to currently running apps. The changes will take effect (where applicable) when future applications are opened.

Cancel

Ignore changes made and close the Configuration window.

Apply Now

Load the selected skin and apply its attributes and any settings configured elsewhere in WindowBlinds immediately.


WindowBlinds - Troubleshooting

Troubleshooting (aka When in Doubt, Exclude)

We believe that WindowBlinds can be made to work on all systems, but you have to play a role in that process by taking the time to exclude anything rocking the boat on your system.

Updates to WindowBlinds, as they are made available, can be found on the Download page at http://www.windowblinds.net. Object Desktop users, please download updates from the Component Manager servers.

When updating WindowBlinds, be sure to follow the directions in the installer. Essentially, you want to make sure WB is not starting on boot (Startup Settings & News tab), reboot to clear it from memory and unlock the DLL, and then update. If you do not follow these steps, the main WB DLL may not be overwritten and errors may occur.

Don't forget to visit our news server at news://news.stardock.com/stardock.windowblinds.

Feedback

When providing us with feedback in either the newsgroup or e-mail to wblinds@stardock.com, it is important to provide as many details as possible about your system. Some of the major items include: operating system version, revision of Internet Explorer, video card, resolution/color depth, skins being used (whether something is happening with UIS1 skins like Console as well as the more common UIS2 ones), other applications that are loaded, etc.

Always attempt to make sure your drivers are as updated as possible as well.

Startup Errors
Loading from the registry/crashes on load

By default, WindowBlinds is configured to load from your registry when your computer starts (see the System tab for more information). Though there is a dialog that allows you to abort this process, if something is conflicting while loading, you may want to consider creating a shortcut in the Startup group for WindowBlinds (make its working directory the path to the WindowBlinds directory). Alternatively, start it manually from the desktop when your system boots.

Using WindowBlinds
How do I configure WindowBlinds?
Right click on the WindowBlinds icon in the system tray and select Configure WindowBlinds. Alternately, double-clicking on the WindowBlinds icon again will invoke the Configuration window. There is also a WindowBlinds icon in your Control Panel.

Your program doesn't work/my apps are crashing!

Slow down, take a deep breath. To begin, unless WindowBlinds is loaded, it is not changing anything on your system (which is mostly true for when the Disabled skin is applied as well, though WindowBlinds is loaded in memory then).

Odds are that there is one application running that WindowBlinds is having difficulty getting along with. To narrow this down so the app can be excluded, try the following.

Set WindowBlinds to not load on startup, reboot, close any apps that loaded when Windows started, and now start WindowBlinds. Start your applications back up one at a time and attempt to determine which one is causing the conflict. Add this app to the exclusion list (see the Per Application Settings tab).

Don't forget about the Ctrl-key exclusion feature either (see Tips and Tricks).

To recap: try various combinations to determine the problem app and exclude it.

There is a crash when I disconnect from the Internet

If you are using a proxy like WinGate, add its .EXE file to the exclusion list.

My skin listing is empty

Use REGEDIT and make sure the Path key at HKEY_CURRENT_USER\Software\Stardock\WindowBlinds\WB5.ini\Installed is pointing to the WindowBlinds directory.


WindowBlinds - Support

Support

With hundreds of millions of 32-bit Windows machines (and more all the time), tens of thousands of applications, hundreds of peripherals, and all sorts of other variables in the mix, statistically WindowBlinds will probably get confused at times.

There are a vast variety of applications out there from thousands of developers. Some follow Windows programming guidelines better than others, which is important with WindowBlinds because hidden little problems that might not otherwise be visible tend to creep out when WindowBlinds is working its magic. If you are having problems with a specific application, please try adding it to the exclusion list.

*A quick primer and note on the Enhanced version for registered users

The WindowBlinds Configuration window is accessed by right clicking on the WB icon in the system tray (next to the clock) and selecting Configure WindowBlinds. You can also double-click on the WindowBlinds icon in the Start menu to bring up the config window if WB is already running.

Please note that the shareware version of WindowBlinds does not include support for skinning scrollbars, progress bars, notebook tabs, or the colorizing features. You must register WindowBlinds and download the enhanced version for registered users. The enhanced version is linked at the end of the order process and you can always come to http://www.windowblinds.net to download later updates (you'll need the serial number from your registration email or jewel case available). If you have lost your serial number and ordered online, visit http://search.objectdesktop.com/search/serialwizard.asp or contact sales@stardock.com.

Object Desktop Network customers should download updates via the Component Manager.

Getting in touch with Stardock

Should you find a bug or have additional comments, please get in touch with Stardock so that we can help resolve them.
The best place for bug reports/suggestions/general chat is the WindowBlinds newsgroup.

Stardock maintains multiple newsgroups for discussion and peer feedback on our products (as well as some groups purely for discussion/entertainment value) on our news server at news://news.stardock.com.

A newsreader program is required to access these groups, Most Windows systems, especially those with Internet Explorer 4, have Outlook Express or some other program capable of viewing newsgroups installed (Netscape Communicator would be another example).

Some newsgroups of note:

news://news.stardock.com/stardock.windowblinds

news://news.stardock.com/stardock.windowblinds.support

We are also found in the #stardock channel on EFNET and you can e-mail us at wblinds@stardock.com.
Information on new releases, FAQ's, and additional downloadable personalities/skins can be found on the Stardock web site at http://www.stardock.com or at http://www.windowblinds.net.

I thought WindowBlinds was freely available, what's up with the registration dialog?

WindowBlinds is part of Stardock's Object Desktop for Windows (http://www.stardock.com/products/odnt/) in addition to being available for registration as a standalone product. Registrations are good for all 2.x versions (i.e. there will be no charge for registered users to get WindowBlinds 2.1 or 2.5). As long as a percentage of users register, WindowBlinds will continue to be freely available (though you'll have to purchase it to get access to the enhanced version which handles scrollbars, progress bars, and more!). After ordering online via Stardock's Secure Commerce Server, you'll receive an email (generally within 10 minutes) with your registration key.

Object Desktop users should download and install WindowBlinds from the Component Manager servers, as that version will automatically register itself on installation.

Can you give me a registration code?

Sure, visit www.stardock.com/order.html and pay $20. Or see the order.txt file in your WindowBlinds directory for options to order if you do not have a credit card (cheques/money orders accepted).

We encourage the trial use and download of the shareware version of WindowBlinds, but please register it if you find yourself using it. Not only will you gain access to the enhanced version of WindowBlinds for registered users (which includes the ability to skin scrollbars, progress bars, and more), but you'll be supporting future development and new features.

Stardock would also like to encourage you to consider purchasing Object Desktop instead. For slightly more than the cost of WindowBlinds alone, you gain access to the Object Desktop Network and its many other components (like Control Center, IconPackager, NetScan, Object DriveScan, and more!). You can also upgrade to Object Desktop after purchasing WindowBlinds.

Upgrading to Object Desktop

If you have purchased a standalone component of ObjectDesktop.net (WindowBlinds, WindowFX, BuilderBlinds, DesktopX, IconPackager, or Control Center currently), you can upgrade to the full Object Desktop package at a reduced price. Visit http://www.stardock.com/order.html for more information.

What is the proper way to install a new WB version?

In order to work its magic, WindowBlinds goes pretty deep into the system while its running (don't worry, if you unload WB it's like it was never there). But, a consequence of this is that the WBLIND.DLL file becomes locked from changes, even if you unload WB. If you attempt to update WB and this file isn't replaced... things can get funky.

Suggested WB update method: open the config window, disable Run WindowBlinds automatically on startup on the System page, and then reboot the computer. When the computer restarts, WindowBlinds will not be loaded and you can simply install the update and start using it immediately. If, for whatever reason, you get a message to reboot after installing the update, please do so to ensure all the files were updated correctly.

Why doesn't WindowBlinds change [insert new feature request here]

One thing at a time. We've been working very hard on improving the stability and performance of the WindowBlinds base engine. Features are being added as we go. We've got lots of cool stuff in store...

My scrollbars in Internet Explorer (or some other app) aren't skinned!

Sometimes, a cigar is just a cigar. And sometimes, a scrollbar really isn't a scrollbar. In the case of Internet Explorer 5, for instance, Microsoft has implemented a proprietary control that looks and functions like a scrollbar, but isn't one. This is occasionally the case with other apps as well.

While we are working to improve the number of apps scrollbar support works with, there are always likely to be some cases that WindowBlinds cannot touch.

None of my scrollbars are skinned!

You must be a registered WindowBlinds user and have downloaded the enhanced version for registered users (linked at the end of your order and also available from http://www.windowblinds.net (you'll need the serial number from your order to download it).

Some known Issues (some of them actual problems, some just things to be aware of -- see the Troubleshooting section of this file as well)

Application X is not getting any WindowBlinds effects

Unfortunately, some applications (due to how they handle their window creation) have certain issues with WindowBlinds on some systems. We have had to exclude these from being changed by WindowBlinds. Some of these exclusions can be modified/removed by users, as the issues may not happen on all systems. See the Per Application section of the help file for more information.

Feel free to try experimenting with removing some of the exclusions. For instance, Telnet is excluded by default but it is really only needed as an exclusion on Windows 95 (we've yet to fix a bug with respect to it resizing itself). If you look at the wbdg.ini file directly you'll see comments associated with many of the exclusions that can help you gauge whether removing a particular one may impact your system.

Application X is crashing, help!

If a particular application has problems when WindowBlinds is loaded, try adding the .EXE for that program to the WindowBlinds exclusion list. We've included several programs in the default exclusion list that are known to currently cause problems for some users (and we'll continue to try and work around these problems if possible in future releases).

Unloading WindowBlinds

Unloading WindowBlinds should function properly and not cause any running applications to crash. If this is not working correctly, please contact us so that we can fix any remaining problems.

Should WindowBlinds be crashing on unloading, try closing open applications beforehand. Alternatively, apply the "disabled" option on the Personality configuration tab to remove the enhanced effects.

If WindowBlinds is crashing on shutdown, you may want to unload it prior to starting to shutdown. What's happening is that Windows is trying to unload other applications as WindowBlinds is still being removed from memory.

Browser windows take much longer to open

In some instances, antivirus software running on your machine may cause slowdowns with other applications when WindowBlinds is running. Exclude wbload.exe, wblind.dll, wbhelp1.dll, wbhelp.dll, wbhelp.exe, wbdbg.ini, and wbperapp.ini from being scanned by your antivirus program to alleviate this issue.

The text in my dialogs on Windows 98 is all screwed up!

Some video card drivers do not properly implement some features at all resolutions and color depths. Any RIVA-based video board running in 16-bit color under Windows 98 will exhibit this problem (not all of them, but enough). Simply switch to 32-bit color mode and you should be all set. The Trident 9xxxx series also appears to be problematic on some systems.

The 3.53 Detonator (or later) drivers from http://www.nvidia.com correct this issue for TNT boards. Please see the Video Driver Updates section of this help file as well.

WindowBlinds crashes when I start it (possibly Explorer as well)

Make sure your video drivers are updated to the most recent level.

Try closing all running applications prior to starting WindowBlinds and adding them back in one at a time to find what is conflicting.

MSDOS prompts and Word MDI child windows look like they always do

These windows are somewhat naughty in their implementation. WindowBlinds does not support changing them (this will probably change in the future for Word).

What's up with 16-bit applications?

All 16-bit applications are excluded from being impacted by WindowBlinds (it is not always possible to detect and handle them appropriately). This also applies to "32-bit" applications like Freecell and the Clipboard Viewer (which are really not true 32-bit apps).

This personality looks SO COOL!!!

Most personality authors include their email address in the UIS file or in a README file in the ZIP it is distributed in. Consider sending them a short note to thank them for their efforts.

I'm not interested, I want it off my system!

Well, we're certainly sorry to hear that and we hope you'll check out future WindowBlinds releases down the road. Simply use the Uninstall icon in the WindowBlinds folder or Add/Remove Programs (in your Control Panel) to uninstall WindowBlinds. If you have configured WindowBlinds to start from the registry, please disable this option prior to uninstalling. We also recommend that you reboot without WindowBlinds before uninstalling to make sure locked files are removed. If you have added additional skins, you'll need to delete the \Program Files\Stardock\WindowBlinds directory to remove them. We've played it safe with the uninstall and not attempted to remove additional files.

The latest version of this information can be found online at http://www.objectdesktop.com/odnet/wbfaq.asp.

My system slows to a crawl

There's likely a conflict with one specific app or something has hung in the background. See the Troubleshooting section of the help file for how to narrow down the culprit.

When I upgraded WB from the unregistered version, I lost all my skins!

No, you've just lost the pointer to them. :) Move the folders containing your old skins (typically in \Program Files\Stardock\WindowBlinds) to the new WindowBlinds directory under \Program Files\Object Desktop\WindowBlinds and you'll be all set. The PATH registry key at HKEY_CURRENT_USER\Software\Stardock\WindowBlinds\WB5.ini\Installed points to where WindowBlinds thinks it is installed/trying to load skins.

Known Issue with NetZero

NetZero's free Internet Service disconnects when loading WB. This happens because the NetZero client is checking to make sure that no "third party program" hides its window. It treats WindowBlinds as one of those programs, even though though it isn't. If you wish to solve this problem, you may wish to contact them directly.

A workaround (thanks "Jef") is to make sure zCast.exe and chkras.exe are included in the excluded apps list, unload WB before dialing NetZero, and then reload WB after the connection is complete.


WindowBlinds - Video Driver Updates

Video driver updates
As WindowBlinds tends to stress the video card more than displaying standard windows, it generally is important to ensure that your video card drivers are updated if you are having difficulties. Driver difficulties are particularly acute on Windows 9x/ME (NT/2000 drivers are generally more well-behaved).

The latest reference drivers for many different cards/chipsets can be found linked from http://www.voodooextreme.com/hw/Binaries/drivers.html.

NVIDIA chipsets/cards (128/TNT/TNT2/GeForce/GeForce2)
Very old NVIDIA drivers had a bug which corrupted the display of text in dialogs on Windows 9x. Updating to the latest Detonator reference drivers (or drivers from your card manufacturer) will correct the problem.

NVIDIA reference drivers: www.nvidia.com
ATI Rage Pro / II / II+ / LT / 128

ATI's currently released drivers for the above cards on Windows 9x contain some bugs which may cause video corruption or lockups. ATI has beta level drivers available which correct this issue. Visit http://www.ati.com/na/pages/spdrivers/index.html to download these drivers. ATI users with these chipsets on NT4 should download these drivers as well if you experience window borders being misaligned. If your buttons on NT4 seem a little odd looking, see the Tips and Tricks section of the WB help file for information on using the GoodStretch WB.INI setting.

SiS/Neomagic integrated video chipsets

Very common on laptops, the SiS and Neomagic chipsets generally work fine with WindowBlinds when using the latest drivers. It may be advisable to use the System object in the Control Panel to reduce hardware acceleration by a notch if you are experiencing problems. This should not impact the speed of your video, just how agressively Windows tries to use the video memory for additional information.
Banshee cards
Banshee drivers have a bug where the right portion of buttons would sometimes be corrupted. WindowBlinds 1.31z and later incorporate a workaround to eliminate this issue.
Chipsets with hardware acceleration
On Windows 2000 only, the 5.10 or later G400 beta drivers from Matrox and the Permedia2 drivers support the optional driver calls of drvAlphaBlend and drvTransparentBlt. This dramatically accelerates alpha-blending and transparent blitting. These driver calls are optional parts of DDK for Windows, so we aren't aware of any drivers other than Matrox/Permedia2 which have implemented them yet. To enable HW acceleration on Windows 2000, add the following to the [GLOBAL] section of WB.INI (located in \windows or \winnt, create the file if necessary):

UseHWAcc=1


WindowBlinds - Creating a Skin

Creating a Skin

Believe it or not, it's relatively simple to create your own custom personalities for WindowBlinds. In their most basic form, a personality consists of a text file defining the location of bitmaps, functions for the skin, and its buttons.

All you really need is a text editor (even Notepad will do :) and a program that can save .BMP files (MS Paint). However, you can get fancy in the creation of the graphics with almost any program you like. Some people use Adobe Photoshop, other swear by Paint Shop Pro, and some people even go so far as to render all their graphics in higher-end packages.

BuilderBlinds is an application available from Stardock that simplifies the skin creation process. Object Desktop users can download it via the Component Manager or you can find it on our website at http://www.stardock.com/products/BuilderBlinds. Stardock also maintains a newsgroup for discussion of BuilderBlinds on our news server at news://news.stardock.com/stardock.windowblinds.builderblinds.

Look at how your favorite skins are put together to see how they work their magic. Visit http://www.windowblinds.net for links to a tutorial and the complete skin format guide.

Keep those great skins coming!


WindowBlinds - Tips and Tricks

Tips and Tricks
More skins! I want more!

There are more new ones all the time, with plenty to go around. And you can always design your own (see the Creating a Skin tab). The best sources for skins are http://www.windowblinds.net and http://www.skinz.org.

WB.INI settings
These additional options are unsupported at the moment and are provided for experienced users who are interested in tweaking as much as possible. You can create a WB.INI file in your Windows directory to adjust some additional settings with the following possible options (the [GLOBAL] section must be the first entry):

[GLOBAL]
SizeLimit = 1 Make maximized windows show borders
WindowLock = 1 Make windows stick to screen borders
NOSOUND = 1 Disable all sounds included with skins
GoodStretch = 1 Enable high-quality graphics stretching for toolbars, buttons, and window borders. This slows these down, so only enable this option if you are seeing artifacts on these controls (like red lines under NT).
DisableCtrlKey = 1 Disable Ctrl-key exclusions

Ctrl-key exclusion

Hold down the Ctrl key before double-clicking to start an application to force WindowBlinds to ignore that app and not attempt to skin it. This does not add the application to the exclusion list for future instances. See the WB.INI section above for how to disable this feature.

Suppress the configuration dialog on startup

Rather than loading WindowBlinds from the registry (see the Startup Settings tab), create a shortcut icon in your Startup folder with a target of:

"C:\Program Files\Object Desktop\WindowBlinds\wbload.exe" quiet

It is necessary to place the quiet parameter outside of the quotes around the wbload.exe location.

Changing the tint on transparent Explorer folders

This change requires editing the registry. Do not do this if you are not comfortable editing the registry. Add a new string value named "transBCOL" without the quotes under the key HKEY_CURRENT_USER\Software\Stardock\WindowBlinds\wb5.ini\WBLiteFX .
The colors are:

0=Default Blue
1=Yellow
2=Pink
3=Red
4=Green
5=Blue
6=Green (again)
7=Clear

You can attempt to experiment with other values up through 15, but the above work nicely in most instances.

Improving the performance of Explorer folders

On the Background Bitmaps tab, ensure that Use inactive images is disabled. This forces WindowBlinds to use only one image for the backgrounds of Explorer folders.

Hardware acceleration (W2K + G400 or Permedia2 only)

On Windows 2000 only, the 5.10 or later G400 beta drivers from Matrox and the Permedia2 drivers support the optional driver calls of drvAlphaBlend and drvTransparentBlt. This dramatically accelerates alpha-blending and transparent blitting. These driver calls are optional parts of DDK for Windows, so we aren't aware of any drivers other than Matrox/Permedia2 which have implemented them yet.

To enable HW acceleration on Windows 2000, add the following to the [GLOBAL] section of WB.INI (located in \windows or \winnt, create the file if necessary).

UseHWAcc=1


WindowBlinds - About

A component of ObjectDesktop.net

About

Enhanced versions of WindowBlinds (with support for skinning scrollbars, progress bars, tab controls, and colorizing!) are available from http://www.windowblinds.net for registered users.

If you like WindowBlinds, be sure to checkout BuilderBlinds, ControlCenter, DesktopX, IconPackager, Object DriveScan, ObjectZip, Netscan, Tab LaunchPad, WindowFX, and all the other components of ObjectDesktop.net!

An OCX demonstation version of WindowBlinds: DirectSkin for use by developers in their applications is available for download from http://www.windowblinds.net.

Special thanks go out to all the people who have sent us feedback and suggestions!

Stardock.net, Inc.
17292 Farmington Road
Livonia MI 48152

Phone: 734-762-0687
Fax: 734-762-0690
E-mail: info@stardock.com

© 1998-2000 Stardock.net, Inc. All rights reserved.